Subject: Any pomologists here?

From: [email-masked] (DCDavisson)
Date: 4 Apr 1995 11:44:05 -0400

Can anyone tell me if there is a vendor or lab where the Porter variety of
apple stock survives? Developed by Rev. Samuel Porter, IV, in western Mass
in the mid-eighteenth century, it was still a common variety a hundred
years ago. I can still find descriptions, pictures, &c., but can find no
growers, at least locally. I would be grateful for any information...
Sincerely,

Dave Davisson
Columbus, OH
e-mail: [email-masked]